/*
 * Copyright 1992, 1993, 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
/*
 *	tl -
 *		tri list file io stuff follows
 *
 *
 */
#include "stdio.h"
#include "trilist.h"

static FILE *inf;

tlopen(name)
char *name;
{
    int nbytes, ntri;
    short magic;
    trilisttri tri;

    inf = fopen(name,"r");
    if(!inf) {
	fprintf(stderr, "tldraw: can't read %s\n",name);
	exit(1);
    }
    fread(&magic,sizeof(short),1,inf);
    if(magic != TLMAGIC) {
	fprintf(stderr, "tldraw: bad magic in input file\n");
	exit(1);
    }
    nbytes = sizeoffile(inf);
    nbytes -= sizeof(short);
    if( (nbytes % sizeof(trilisttri)) != 0)
	fprintf(stderr, "tldraw: strange file length!!\n");
    ntri = nbytes / sizeof(trilisttri);
    return ntri;
}

tlread(tri)
trilisttri *tri;
{
    fread(tri,sizeof(trilisttri),1,inf);
}

tlclose()
{
    fclose(inf);
}
